Debian Bug report logs - #618898
Ndiswrapper 1.56+r2729-1 fails loading

version graph

Package: ndiswrapper-dkms; Maintainer for ndiswrapper-dkms is Julian Andres Klode <jak@debian.org>; Source for ndiswrapper-dkms is src:ndiswrapper.

Reported by: Pietro Battiston <me@pietrobattiston.it>

Date: Sat, 19 Mar 2011 12:39:01 UTC

Severity: important

Tags: upstream

Found in version ndiswrapper/1.56+r2729-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Julian Andres Klode <jak@debian.org>:
Bug#618898; Package ndiswrapper-dkms. (Sat, 19 Mar 2011 12:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pietro Battiston <me@pietrobattiston.it>:
New Bug report received and forwarded. Copy sent to Julian Andres Klode <jak@debian.org>. (Sat, 19 Mar 2011 12:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pietro Battiston <me@pietrobattiston.it>
To: submit@bugs.debian.org
Subject: Ndiswrapper 1.56+r2729-1 fails loading
Date: Sat, 19 Mar 2011 13:34:16 +0100
[Message part 1 (text/plain, inline)]
Package: ndiswrapper-dkms
Version: 1.56+r2729-1
Severity: critical

In order to use ndiswrapper with kernel 2.6.37-1-amd64 from testing, I
had first tried two patches found around (see
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=604880 ), and they
worked (though they were among the main candidates as being the source
of some recent system instabilities).

Now 1.56+r2729-1 went out, I upgraded to it, but it doesn't work at all.
After first install (and hence automatic building), I modprobed
ndiswrapper and the computer dropped me to a virtual terminal with a
stack trace. Luckily, most of the system was still up (even playing
music!), so I was able to login from remote (via wired connection) and
grab the attached dmesg.

After I restarted, computer restarted fine, but with wireless not
working, and in dmesg there are still signs of a lost battle for the
conquest of wireless (second attachment).

Reverting to my own patched version for the moment, but feel free to
comment asking for any additional testing.

Pietro
[dmesg_ndiswrapper.txt (text/plain, attachment)]
[dmesg_ndiswrapper_after_restart.txt (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Julian Andres Klode <jak@debian.org>:
Bug#618898; Package ndiswrapper-dkms. (Sat, 19 Mar 2011 12:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pietro Battiston <me@pietrobattiston.it>:
Extra info received and forwarded to list. Copy sent to Julian Andres Klode <jak@debian.org>. (Sat, 19 Mar 2011 12:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 618898@bugs.debian.org (full text, mbox):

From: Pietro Battiston <me@pietrobattiston.it>
To: 618898@bugs.debian.org
Subject: Wrong link
Date: Sat, 19 Mar 2011 13:41:50 +0100
Sorry, in the above description I linked to the wrong bug: the right one
is http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=614192

Pietro





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#618898; Package ndiswrapper-dkms. (Thu, 14 Apr 2011 06:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
Extra info received and forwarded to list. (Thu, 14 Apr 2011 06:51:05 GMT) Full text and rfc822 format available.

Message #15 received at 618898@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: Pietro Battiston <me@pietrobattiston.it>, 618898@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#618898: Ndiswrapper 1.56+r2729-1 fails loading
Date: Thu, 14 Apr 2011 08:49:31 +0200
[Message part 1 (text/plain, inline)]
severity 618898 important
tag 618898 upstream
thanks

On Sat, Mar 19, 2011 at 01:34:16PM +0100, Pietro Battiston wrote:
> Package: ndiswrapper-dkms
> Version: 1.56+r2729-1
> Severity: critical
> 
> In order to use ndiswrapper with kernel 2.6.37-1-amd64 from testing, I
> had first tried two patches found around (see
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=604880 ), and they
> worked (though they were among the main candidates as being the source
> of some recent system instabilities).
> 
> Now 1.56+r2729-1 went out, I upgraded to it, but it doesn't work at all.
> After first install (and hence automatic building), I modprobed
> ndiswrapper and the computer dropped me to a virtual terminal with a
> stack trace. Luckily, most of the system was still up (even playing
> music!), so I was able to login from remote (via wired connection) and
> grab the attached dmesg.
Instability is a common issue with ndiswrapper. We cannot guarantee
that everything works. It would be best if you reported your problems
upstream. I'm downgrading this to important as there isn't much
I can do here, it seems local to your machine, and it prevents
migration to testing.

-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.
[Message part 2 (application/pgp-signature, inline)]

Severity set to 'important' from 'critical' Request was from Julian Andres Klode <jak@debian.org> to control@bugs.debian.org. (Thu, 14 Apr 2011 06:51:07 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Julian Andres Klode <jak@debian.org> to control@bugs.debian.org. (Thu, 14 Apr 2011 06:51:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Julian Andres Klode <jak@debian.org>:
Bug#618898; Package ndiswrapper-dkms. (Sat, 16 Apr 2011 06:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pietro Battiston <me@pietrobattiston.it>:
Extra info received and forwarded to list. Copy sent to Julian Andres Klode <jak@debian.org>. (Sat, 16 Apr 2011 06:51:06 GMT) Full text and rfc822 format available.

Message #24 received at 618898@bugs.debian.org (full text, mbox):

From: Pietro Battiston <me@pietrobattiston.it>
To: 618898@bugs.debian.org
Subject: Re: Bug#618898: Ndiswrapper 1.56+r2729-1 fails loading
Date: Sat, 16 Apr 2011 08:46:49 +0200
Il giorno gio, 14/04/2011 alle 08.49 +0200, Julian Andres Klode ha
scritto:
> severity 618898 important
> tag 618898 upstream
> thanks
> 
> On Sat, Mar 19, 2011 at 01:34:16PM +0100, Pietro Battiston wrote:
> > Package: ndiswrapper-dkms
> > Version: 1.56+r2729-1
> > Severity: critical
> > 
> > In order to use ndiswrapper with kernel 2.6.37-1-amd64 from testing, I
> > had first tried two patches found around (see
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=604880 ), and they
> > worked (though they were among the main candidates as being the source
> > of some recent system instabilities).
> > 
> > Now 1.56+r2729-1 went out, I upgraded to it, but it doesn't work at all.
> > After first install (and hence automatic building), I modprobed
> > ndiswrapper and the computer dropped me to a virtual terminal with a
> > stack trace. Luckily, most of the system was still up (even playing
> > music!), so I was able to login from remote (via wired connection) and
> > grab the attached dmesg.
> Instability is a common issue with ndiswrapper. We cannot guarantee
> that everything works. It would be best if you reported your problems
> upstream.

OK, done:
http://sourceforge.net/tracker/?func=detail&aid=3288114&group_id=93482&atid=604450


>  I'm downgrading this to important as there isn't much
> I can do here, it seems local to your machine, and it prevents
> migration to testing.
> 

(I frankly wonder how many machines you test ndiswrapper on in order to
state that a bug is "local to my machine", but anyway,) thanks for your
attention.

Pietro





Information forwarded to debian-bugs-dist@lists.debian.org, Julian Andres Klode <jak@debian.org>:
Bug#618898; Package ndiswrapper-dkms. (Thu, 02 May 2013 12:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "massimo.peca@libero.it" <massimo.peca@libero.it>:
Extra info received and forwarded to list. Copy sent to Julian Andres Klode <jak@debian.org>. (Thu, 02 May 2013 12:45:04 GMT) Full text and rfc822 format available.

Message #29 received at 618898@bugs.debian.org (full text, mbox):

From: "massimo.peca@libero.it" <massimo.peca@libero.it>
To: 618898@bugs.debian.org
Subject: Ndiswrapper 1.57-1 fails loading
Date: Thu, 2 May 2013 14:41:44 +0200 (CEST)
Hello,
ndiswrapper is not loaded in the kernel (etc / modules), so when the system 
starts, the Netgear WG511v2 PCMCIA card does not work.
First, using the interface ndisgtk, I had to uninstall and then reinstall the. 
INF file of my card. Now I solved by manually adding "ndiswrapper" in / etc / 
modules.

-- System Information:
Debian Release: 7.0
  APT prefers testing-updates
  APT policy: (500, 'testing-updates'), (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-4-686-pae (SMP w/1 CPU core)
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ndiswrapper-dkms depends on:
ii  dkms  2.2.0.3-1.2

ndiswrapper-dkms recommends no packages.

ndiswrapper-dkms suggests no packages.

-- no debconf information




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:04:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.